# Tool Descriptions

This page content is generated on 17Sept2024.  For the latest information, simply enter `@` in the ToolMate AI prompt interface.

# Available Tools

@add_google_calendar_event @add_outlook_calendar_event @analyze_audio @analyze_files @analyze_images_chatgpt @analyze_images_gemini @analyze_images_llamacpp @analyze_images_ollama @analyze_web_content @append_command @append_fabric @append_instruction @ask_chatgpt @ask_codey @ask_gemini @ask_groq @ask_llama3_1 @ask_llamacpp @ask_llamacppserver @ask_ollama @ask_palm2 @build_agents @chat @command @context @convert_relative_datetime @copy_to_clipboard @correct_python_code @create_image_dalle3 @create_image_flux @create_image_imagen3 @create_image_sd @create_map @create_qrcode @create_statistical_graphics @datetimes @deep_reflection @download_web_content @download_youtube_audio @download_youtube_video @execute_computing_task @extract_python_code @fabric @improve_writing @install_package @integrate_google_searches @list_current_directory_contents @load_conversations @modify_images @open_browser @paste_from_clipboard @pronunce_words @recommend_tool @reflection @remove_image_background @retrieve_memory @run_python_code @save_memory @search_conversations @search_finance @search_latest_news @search_sqlite @search_weather_info @send_gmail @send_outlook @send_tweet @workflow

# Descriptions

`@add_google_calendar_event` Add a Google calendar event

`@add_outlook_calendar_event` Add an Outlook calendar event

`@analyze_audio` Transcribe audio into text or retrieve information from an audio

`@analyze_files` Retrieve information from files

`@analyze_images_chatgpt` Describe or compare images with ChatGPT

`@analyze_images_gemini` Describe or compare images with Gemini

`@analyze_images_llamacpp` Describe or compare images with Llama.cpp

`@analyze_images_ollama` Describe or compare images with Ollama

`@analyze_web_content` retrieve information from a webpage if an url is provided

`@append_command` Execute a system command with the previous text output appended to it

`@append_fabric` Execute a fabric command with the previous text output appended to it

`@append_instruction` Append the previous text output to a given instruction

`@ask_chatgpt` Ask ChatGPT to chat or provide information

`@ask_codey` Ask Codey for information about coding

`@ask_gemini` Ask Gemini to chat or provide information

`@ask_groq` Ask Groq to chat or provide information

`@ask_llama3_1` Ask Llama3.1 to chat or provide information

`@ask_llamacpp` Ask Llama.cpp to chat or provide information

`@ask_llamacppserver` Ask Llama.cpp Server to chat or provide information

`@ask_ollama` Ask Ollama to chat or provide information

`@ask_palm2` Ask PaLM 2 to chat or provide information

`@build_agents` build a group of AI assistants or agents to execute a complicated task that other functions cannot resolve

`@chat` Provide information or answer a question

`@command` Execute a system command

`@context` Apply a predefined context

`@convert_relative_datetime` Convert relative dates and times in a given instruction to absolute dates and times

`@copy_to_clipboard` Copy a given content to the system clipboard

`@correct_python_code` Fix Python code if both the original code and the traceback error are provided

`@create_image_dalle3` Create an image with DALLE-3

`@create_image_flux` Create an image with Flux.1

`@create_image_imagen3` Create an image with Imagen-3

`@create_image_sd` Create an image with Stable Diffusion Models

`@create_map` Create maps

`@create_qrcode` Create QR code

`@create_statistical_graphics` Create statistical plots, such as pie charts or bar charts, to visualize statistical data

`@datetimes` Get information about dates and times

`@deep_reflection` Think and reason through a query, review and refine a response in detail

`@download_web_content` Download file from internet

`@download_youtube_audio` Download Youtube audio into mp3 file

`@download_youtube_video` Download Youtube video into mp4 file

`@execute_computing_task` Execute computing task or gain access to device information

`@extract_python_code` Extract the python code in a given content

`@fabric` Execute a fabric command

`@improve_writing` Improve the writing of a given content

`@install_package` Install a python package

`@integrate_google_searches` Search internet for real-time information or latest updates when LLM lacks information

`@list_current_directory_contents` List the contents in the current directory

`@load_conversations` Load a saved conversations if chat ID / timestamp / file path is given

`@modify_images` Modify images with ChatGPT and DALLE-3

`@open_browser` Open https:// url with web browser

`@paste_from_clipboard` Retrieve the text content from the system clipboard and paste

`@pronunce_words` Pronounce words or sentences with text-to-speech utility

`@recommend_tool` Recommand an appropriate tool in response to a given request

`@reflection` Think and reason through a query, review and refine a response

`@remove_image_background` Remove image background

`@retrieve_memory` Recall memories of important conversation snippets that we had in the past.

`@run_python_code` Extract and run the python code in a given content

`@save_memory` Use this function if I mention something which you think would be useful in the future and should be saved as a memory. Saved memories will allow you to retrieve snippets of past conversations when needed.

`@search_conversations` Search chat records or conversations

`@search_finance` Search or analyze financial data. Use this function ONLY WHEN package yfinance is useful to resolve my request

`@search_latest_news` Search the latest news with given keywords

`@search_sqlite` Search or manage SQLite file, e.g. fetch data, update records, etc. Remember, use this function ONLY IF I provide you with a sqlite file path.

`@search_weather_info` Answer a query about weather

`@send_gmail` Send Gmail

`@send_outlook` Send Outlook email

`@send_tweet` Send a tweet to twitter

`@workflow` Execute a workflow
